@import "scss/var.scss";
.page-cart {
    &__wrap {
        display: flex;
        flex-wrap: wrap;
        border: 1px solid #E3E7EF;
        margin-bottom: 56px;

        .col-left {
            width: 912px;
            width: calc(100% - 310px);
            padding: 0;
        }

        .col-right {
            width: 310px;
            padding: 16px;
            border-left: 1px solid #E3E7EF;
        }

        @media (max-width: 991px) {
            margin-bottom: 24px;

            .col-left {
                width: 100%;
                margin-bottom: 15px;
            }

            .col-right {
                width: 100%;
                border-left: 0;
            }
        }

        @media (max-width: 576px) {
            border: 0;

            .col-right {
                padding: 0
            }
        }
    }

    &__bottom {
        border-top: 1px solid #E3E7EF;
        width: 100%;
        padding: 24px;
        text-align: right;

        .form-control {
            height: 36px;
            background: #F3F5F8;
            border-radius: 44px;
            font-size: 14px;
            padding: 0 16px;
            width: 180px;
        }

        .btn-default {
            height: 36px;
            line-height: 36px;
            font-size: 14px;
            padding: 0 15px;
            margin-left: 15px;
            font-weight: bold;
            color: #414956;
            width: 90px;
        }

        &.mobile {
            display: none
        }

        @media (max-width: 991px) {
            display: none;

            &.mobile {
                display: block;
                border-top: 0;
                padding: 10px 0;
                margin-bottom: 20px;

                .form-control {
                    width: calc(100% - 108px);
                }
            }
        }
    }

    .list-cart {
        &>li {
            border-bottom: 1px solid #E3E7EF;
            display: flex;
            padding: 16px;

            &:last-child {
                border-bottom: 0
            }

            .ava {
                width: 168px;
                height: 168px;
                position: relative;

                img {
                    max-height: 90%;
                    max-width: 90%;
                    width: auto;
                    height: auto;
                    position: absolute;
                    top: 0;
                    bottom: 0;
                    left: 0;
                    right: 0;
                    margin: auto;
                }
            }

            .content {
                font-size: 14px;
                color: #161616;
                margin-left: 24px;
                max-width: 400px;

                .title {
                    font-size: 20px;
                    margin-bottom: 8px;
                }
            }

            .number-price {
                flex-grow: 3;
                text-align: right;
                display: flex;
                justify-content: flex-end;
            }

            .number {
                position: relative;

                .dropbtn {
                    background: #F3F5F8;
                    border-radius: 4px;
                    width: 82px;
                    height: 48px;
                    text-align: left;
                    line-height: 48px;
                    padding-left: 15px;
                    position: relative;
                    color: #0E0E0E;
                    font-size: 16px;
                    cursor: pointer;
                    svg {
                        position: absolute;
                        right: 15px;
                        top: 12px;
                    }
                }

                .dropdown__content {
                    position: absolute;
                    width: 100%;
                    background: #F3F5F8;
                    z-index: 1;
                    li {
                        a {
                            display: block;
                            padding: 10px 15px;
                            text-align: left;
                        }
                    }
                }
            }

            .option {
                margin-top: 8px;

                a {
                    color: #7A8088;
                    margin-right: 18px;

                    &:last-child {
                        margin-right: 0;
                    }
                }

                &_mobile {
                    display: none
                }
            }

            .price {
                font-weight: bold;
                font-size: 16px;
                color: #000000;
                margin: 10px 0 0 35px;

                &_mobile {
                    display: none
                }
            }

            @media (max-width: 1025px) {
                flex-wrap: wrap;

                .ava {
                    width: 100px;
                    height: 100px;
                }

                .content {
                    max-width: 280px;
                    margin-left: 20px;
                }

                .number {
                    .dropbtn {
                        width: 70px;
                    }
                }

                .price {
                    margin: 10px 0 0 15px;
                }
            }

            @media (max-width: 991px) {
                &:last-child {
                    border-bottom: 1px solid #E3E7EF;
                }
            }

            @media (max-width: 576px) {
                padding: 16px 0;

                .ava {
                    width: 80px;
                    height: 80px;
                }

                .content {
                    max-width: 100%;
                    width: 80%;
                    width: calc(100% - 80px);
                    margin: 0;
                    padding-left: 24px;

                    .title {
                        font-size: 16px
                    }
                }

                .number-price {
                    justify-content: space-between;
                    align-items: center;
                    margin-top: 15px;

                    .dropbtn {
                        width: 80px;
                    }
                }

                .option {
                    display: none;

                    &_mobile {
                        display: block;
                        margin: 0;

                        a {
                            margin-right: 8px;
                        }
                    }
                }

                .price {
                    display: none;

                    &_mobile {
                        display: block;
                        margin: 8px 0 0 0;
                    }
                }

            }

        }
    }

    .checkout_sidebar {
        .head {
            border-bottom: 1px solid #E3E7EF;
            padding-bottom: 16px;
            margin-bottom: 16px;
        }

        .checkout_tt {
            li {
                display: flex;
                flex-wrap: wrap;
                align-items: center;
                justify-content: space-between;
            }
        }
    }

    .cart-null {
        text-align: center;
        font-size: 16px;
        color: #414956;
        margin-bottom: 80px;

        .icon {
            background: #EBF5F7;
            width: 88px;
            height: 88px;
            line-height: 88px;
            text-align: center;
            margin: 0 auto 8px;
            border-radius: 50%;

            svg {
                display: inline-block;
                vertical-align: middle;
                fill: var(--color_main);
                margin-bottom: 0;
            }
        }
    }
}

.page-order {
    margin-bottom: 40px;

    .col-left {
        width: 912px;
        width: calc(100% - 310px);
        padding: 38px 24px 20px 24px;
        border: 1px solid #E3E7EF;
    }

    .col-right {
        width: 310px;
        padding: 0;

        .checkout_sidebar {
            border: 1px solid #E3E7EF;
            border-left: 0;
            padding: 16px;
            font-size: 14px;

            .tr {
                border-bottom: 1px solid #E3E7EF;
                margin: 0 -16px 16px -16px;
                padding: 0 16px 16px 16px;

                &:last-child {
                    border-bottom: 0;
                    margin-bottom: 0;
                    padding-bottom: 0
                }
            }

            .edit {
                svg {
                    fill: #06C1D4
                }
            }

            .col-name {
                width: 65%;
                padding: 0 10px 0 0;
            }

            .col-price {
                width: 35%;
                text-align: right;
                padding: 0;
            }
        }
    }

    &__bottom {
        width: 100%;

        .btn-default {
            margin-right: 33px;

            &:last-child {
                margin-right: 0;
            }
        }
    }

    .tab-main {
        text-align: center;
        border-bottom: 1px solid #E3E7EF;
        margin: -38px -24px 30px -24px;
        display: flex;

        a {
            font-size: 18px;
            height: 64px;
            line-height: 64px;
            width: 50%;
            font-weight: 600;

            svg {
                width: 24px;
                height: 24px;
                margin-right: 12px;
            }

            &.active {
                border-bottom: 2px solid #06C1D4
            }
        }
        @media (max-width: 991px) {
            margin: -20px -16px 30px -16px;
        }
        @media (max-width: 576px) {
            margin: -10px -16px 25px -16px;
            a{
                svg{margin-right: 5px;display: none;}
            }
        }
    }

    .col_sothang {
        .mounth {
            border: 2px solid #E3E7EF;
            border-radius: 4px;
            background: #FFFFFF;
            height: 48px;
            line-height: 44px;
            display: inline-block;
            padding: 0 20px;
            font-weight: 600;
            font-size: 18px;
            color: #000000;
            margin-right: 3px;

            &.active {
                border: 2px solid #06C1D4;
            }
        }
    }

    .so_tien {
        width: 359px;
    }

    .b3_nhtt {
        display: flex;
        flex-wrap: wrap;
        margin: 0 -8px 16px -8px;

        li {
            width: 176px;
            margin-bottom: 16px;
            padding: 0 8px;

            a {
                display: block;
                border: 2px solid #E3E7EF;
                position: relative;
                height: 64px;
                border-radius: 4px;
                cursor: pointer;
            }

            img {
                max-height: 90%;
                max-width: 90%;
                width: auto;
                height: auto;
                position: absolute;
                top: 0;
                bottom: 0;
                left: 0;
                right: 0;
                margin: auto;
            }

            &.active,
            &:hover {
                a {
                    border: 2px solid #06C1D4;
                }
            }
        }
    }

    @media (max-width: 991px) {
        margin-bottom: 24px;

        .col-left {
            width: 100%;
            margin-bottom: 15px;
            padding: 20px 16px 10px 16px;
        }

        .col-right {
            width: 100%;
            .checkout_sidebar{
                border-left: 1px solid #E3E7EF;
            }
            
        }
        .so_tien {
            max-width: 250px;
        }
        .table-default{
            td[style*="width:250px"]{
                width: 200px!important;
            }
            td[style*="width:170px"]{
                width: 130px!important;
            }
        }
    }

    @media (max-width: 576px) {
        &.tra-gop{
            .col-left {
                order: 2;
            }
            .col-right {
                order: 1;
                margin-bottom: 20px;
            }
        }
        .so_tien {
            width: 100%;
            max-width: 100%;
            margin-bottom: 0;
        }
        .table-responsive{
            display: block;
            overflow-x: auto;
        }
        .table-default{
            display: table;

            td {
                white-space: nowrap;
            }
            td[style*="width:250px"]{
                width: 120px!important;
            }
            td[style*="width:170px"]{
                width: 120px!important;
            }
            .border_0 {
                td {
                    padding: 10px 5px;
                }
            }

            .btn-default {
                padding: 0 5px;
            }
        }
        .b3_nhtt {
            margin: 0 -4px 16px -4px;
            li {
                width: 33.33%;
                padding: 0 4px;
                margin-bottom: 8px;

                a {
                    height: 48px;
                }
            }
        }

        &__bottom {
            .btn-default {
                font-size: 16px;
                width: 100%;
                margin-bottom: 16px;
            }
        }

        .col-left {
            border: 0;
            padding: 10px 0;
            position: relative;

            &::before {
                content: "";
                background: #E3E7EF;
                left: -16px;
                right: -16px;
                position: absolute;
                height: 1px;
                bottom: -10px;
            }
        }

        .col-right {
            padding: 0;
            position: relative;

            &::before {
                content: "";
                background: #E3E7EF;
                left: -16px;
                right: -16px;
                position: absolute;
                height: 1px;
                bottom: 0px;
            }

            .checkout_sidebar {
                border: 0;

                .tr {
                    padding: 0 0px 16px 0px;
                }
            }
        }

        #order-popup {
            min-height: 100vh;
            width: auto !important;
        }
    }
}

.ckonline {
    .list-banks {
        ul {
            list-style: none;
            font-size: 0;
            li {
                width: 120px;
                display: inline-block;
                border: 2px solid #e3e7ef;
                font-size: 0;
                border-radius: 4px;
                margin-bottom: 8px;
                &:not(:last-child) {
                    margin-right: 8px;
                }
                &:hover, &.selected {
                    border-color: $color-main;
                    cursor: pointer;
                }
                @media(max-width: 1024px) {
                    width: 100px;
                }
            }
        }
    }
    .info-bank {
        border: 2px solid #e3e7ef;
        margin-bottom: 16px;
        border-radius: 4px;
        padding-bottom: 24px;
        padding-top: 12px;
        ul {
            li {
                padding: 12px 16px;
                &.stk {
                    cursor: pointer;
                    &:hover {
                        background: #FBFBFB;
                    }
                }
            }
        }
    }
}